#define IN_STG_CODE 0
#include "Rts.h"
#include "Stg.h"
#ifdef __cplusplus
extern "C" {
#endif
 
HsWord32 DataziYamlziSyck_dhFT(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1, HsPtr a2)
{
SchedulerStatus rc;
HaskellObj ret;
HsWord32 cret;
rts_lock();
rc=rts_evalIO(rts_apply((HaskellObj)runIO_closure,rts_apply(rts_apply((StgClosure*)deRefStablePtr(the_stableptr),rts_mkPtr(a1)),rts_mkPtr(a2))) ,&ret);
rts_checkSchedStatus("DataziYamlziSyck_dhFT",rc);
cret=rts_getWord32(ret);
rts_unlock();
return cret;
}
 
void DataziYamlziSyck_dhFS(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1, HsPtr a2)
{
SchedulerStatus rc;
HaskellObj ret;
rts_lock();
rc=rts_evalIO(rts_apply((HaskellObj)runIO_closure,rts_apply(rts_apply((StgClosure*)deRefStablePtr(the_stableptr),rts_mkPtr(a1)),rts_mkPtr(a2))) ,&ret);
rts_checkSchedStatus("DataziYamlziSyck_dhFS",rc);
rts_unlock();
}
#ifdef __cplusplus
}
#endif

